- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3d6ee4f3-0135-416d-8f32-aa9967361ba8
    creation_time: 2023-02-17T12:12:11.572849Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006.c
      input_file_hashes:
        c/loop-lit/jm2006.c: 806533ef8811c14346743af862bfedfff6df486736030194a7d717490fcb52bc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006.c
    file_hash: 806533ef8811c14346743af862bfedfff6df486736030194a7d717490fcb52bc
    line: 14
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: x-y == i-j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 784c0122-a3dd-49d7-acfa-9351da81fe08
    creation_time: 2023-02-17T12:12:11.573146Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006.c
      input_file_hashes:
        c/loop-lit/jm2006.c: 806533ef8811c14346743af862bfedfff6df486736030194a7d717490fcb52bc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006.c
    file_hash: 806533ef8811c14346743af862bfedfff6df486736030194a7d717490fcb52bc
    line: 20
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: y == 0
    type: assertion
    format: C

